﻿using KlasaDoSprawdzenia;
using NUnit.Framework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace Testowanie
{
    [TestFixture]
    public class TestyNUnit
    {
        [Test]
        public void PositiveTest()
        {
            int x=7;
            int y=7;
            Assert.AreEqual(x, y);
        }

        [Test, ExpectedException(typeof(NotImplementedException))]
        public void Exception_Test()
        {
            throw new NotImplementedException();
        }

        [Test]
        public void Failed_Test()
        {
            Assert.Fail();
        }

        [Test]
        public void TestKlasyDoSprawdzenia_Dodawanie()
        {
            ClassToTest ktestowe = new ClassToTest();
            int wynik = ktestowe.Dodawanie(4, 5);
            Assert.AreEqual(wynik, 9);
        }

        [Test]
        [MaxTime(1)]
        public void TestKlasyDoSprawdzenia_Mnozenie_Czasowo()
        {
            int x = 10,
                y = 12,
                oczekiwana=120;
            int wynik;
            var ktest = new ClassToTest();
            for (int i = 1; i < x * y*999; i++)
            {
                wynik = ktest.Mnożenie(x, y);
                Assert.AreEqual(oczekiwana, wynik);
            }
        }
    }
}
