﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.IO;


namespace KlasaDoSprawdzenia
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        [Timeout(100)]
        public void TestDodawania()
        {
            ClassToTest DoTestow = new ClassToTest();
            int liczba1 = 6;
            int liczba2 = 3;
            int oczekiwana = 9;
            int wynik;
            wynik = DoTestow.Dodawanie(liczba1, liczba2);
            Assert.AreEqual(oczekiwana, wynik);
        }

        [TestMethod]
        public void TestDodawania_WiecejDanych()
        {
            ClassToTest DoTestow = new ClassToTest();
            int[][] t = 
            {
                new int[] {6,3,9},
                new int[] {10,2,12},
                new int[] {2,6,8}
            };
            int wynik;
            for (int i=0; i<3; i++)
                {
                    wynik = DoTestow.Dodawanie(t[i][0],t[i][1]);
                    Assert.AreEqual(t[i][2], wynik);
                }
        }

        [TestMethod]
        [ExpectedException(typeof(DivideByZeroException))]
        public void TestDzielenia_Wyjatek()
        {
            ClassToTest DoTestow = new ClassToTest();
            int l1 = 6;
            //int l2 = 2;
            int l2 = 0;
            int oczekiwana = 3;
            int wynik = DoTestow.Dzielenie(l1, l2);
            Assert.AreEqual(oczekiwana, wynik);
        }


    }
}
